# Vizro

Vizro is an open-source Python-based toolkit. You can use it to build data visualization apps quickly and easily, without needing advanced engineering or design expertise.

<div class="grid cards" markdown>

- :fontawesome-regular-map:{ .lg .middle } __New to Vizro?__

    ---

    [:octicons-arrow-right-24: Quickstart tutorial](pages/tutorials/first-dashboard.md)

    [:octicons-arrow-right-24: Explore Vizro tutorial](pages/tutorials/explore-components.md)

    [:octicons-arrow-right-24: FAQs](pages/explanation/faq.md)

    [:octicons-arrow-right-24: Develop with PyCafe](pages/user-guides/run-deploy.md#develop-in-pycafe)

- :fontawesome-solid-chart-column:{ .lg .middle } __Vizro features__

    ---

    [:octicons-arrow-right-24: Fundamentals](pages/user-guides/dashboard.md)

    [:octicons-arrow-right-24: Components overview](pages/user-guides/components.md)

    [:octicons-arrow-right-24: Visual formatting](pages/user-guides/visual-formatting.md)

    [:octicons-arrow-right-24: Extend and customize Vizro](pages/user-guides/extensions.md)

- :fontawesome-solid-hands-holding-circle:{ .lg .middle } __Get involved__

    ---

    [:octicons-arrow-right-24: Contribute code](pages/explanation/contributing.md)

    [:octicons-arrow-right-24: Contribute to our docs](pages/explanation/documentation-style-guide.md)

- :fontawesome-solid-wand-magic-sparkles:{ .lg .middle } __Gen AI assistance__

    ---

    [:octicons-arrow-right-24: Vizro-AI](https://vizro.readthedocs.io/projects/vizro-ai/)

    [:new: Vizro-MCP](https://github.com/mckinsey/vizro/blob/main/vizro-mcp/README.md)

</div>
